#!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
INSTALLDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )"/../.. && pwd )"

mysql -u root < $DIR/update.sql

# New security feature: to log in to a pbx, you must first login to radmin webpage
# by login in radmin webpage, the IP is added in a specific iptables chain (radmin) for 240 minutes, or until logout

#Stop fail2ban and add custom chain in iptables
systemctl stop fail2ban
#create ipset
cnt=`ipset --list | grep radmin | wc -l`
if [ "$cnt" == "0" ]
then
  ipset -exist create radmin hash:ip timeout 3600
  iptables -A INPUT -m set --match-set radmin src -j ACCEPT
fi
cnt=`iptables -L INPUT -n --line-number | grep VPN | wc -l`
if [ "$cnt" == "1" ]
then
  id=`iptables -L INPUT -n --line-number | grep VPN | cut -d " " -f 1`
  iptables -D INPUT $id
fi

#save iptables, restart fail2ban
service iptables save
systemctl start fail2ban


chmod +x "$INSTALLDIR/scripts/add_allowed_ip.sh"

cat > /etc/sudoers.d/radmin <<- "EOF"
  apache ALL=(ALL) NOPASSWD: /var/www/html/radmin/scripts/add_allowed_ip.sh
EOF